Package org.apache.tapestry5.internal.transform

# Class ActivationRequestParameterWorker

java.lang.Object
org.apache.tapestry5.internal.transform.ActivationRequestParameterWorker

All Implemented Interfaces:
  `ComponentClassTransformWorker2`

public class ActivationRequestParameterWorker extends Object implements ComponentClassTransformWorker2
Hooks the activate event handler on the component (presumably, a page) to extract query parameters, and hooks the link decoration events to extract values and add them to the `Link`.

Since:
  5.2.0
See Also:
  - `ActivationRequestParameter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActivationRequestParameterWorker(Request request, ComponentClassCache classCache, ValueEncoderSource valueEncoderSource, URLEncoder urlEncoder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `transform(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)`
  Invoked to perform part of the transformation of the `PlasticClass`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ActivationRequestParameterWorker

    public ActivationRequestParameterWorker(Request request, ComponentClassCache classCache, ValueEncoderSource valueEncoderSource, URLEncoder urlEncoder)

- ## Method Details

  - ### transform

    public void transform(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)
    Description copied from interface: `ComponentClassTransformWorker2`
    Invoked to perform part of the transformation of the `PlasticClass`.
    Specified by:
      `transform` in interface `ComponentClassTransformWorker2`
    Parameters:
      `plasticClass` - component class being transformed
      `support` - additional utilities needed during the transformation
      `model` - the model for the component being transformed